! Copyright (C) March 2023- Linaro Limited (or its affiliates). All rights reserved.

! Copyright (C) 1995-2023 Arm Limited (or its affiliates). All rights reserved.

! 
! This program is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! This program is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
program simple
implicit none
integer :: i
logical, dimension (4,2) :: truth_table
truth_table(1, 1) = .FALSE.
truth_table(1, 2) = .FALSE.
truth_table(2, 1) = .FALSE.
truth_table(2, 2) = .TRUE.
truth_table(3, 1) = .TRUE.
truth_table(3, 2) = .FALSE.
truth_table(4, 1) = .TRUE.
truth_table(4, 2) = .TRUE.

! breakpoint1
print *, truth_table(2, 1) .OR. truth_table(2, 2)

end program simple
